Support » Plugin: Simple Calendar - Google Calendar Plugin » Simple Calendar PHP 7.2 Incompatibility Error

  • Resolved G P

    (@wetapplemedia)



    I get this error when using the plugin with PHP 7.2:

    mod_fcgid: stderr: PHP Fatal error: Cannot use SimpleCalendar\\Abstracts as Object because ‘Object’ is a special class name in /httpdocs/wp-content/plugins/google-calendar-events/includes/objects.php on line 9

Viewing 5 replies - 1 through 5 (of 5 total)
  • G P

    (@wetapplemedia)

    This critical error when running PHP 7.2+ is STILL not fixed in the 3.1.11.1 version that came out today. Please fix this!

    G P

    (@wetapplemedia)

    CRITICAL NOTE: To stop your entire website from crashing, and fix this yourself (it doesn’t look like any admins are reading their bug reports), you can take the /includes/objects.php and replace every instance of “Object” with something like “CalObject” or the likes, to get PHP 7.2+ compatibility back.

    Plugin Author Zach Wills

    (@oxymoron)

    Hey @wetapplemedia

    Thanks for reporting this issue. We’re working on getting a release out in the next couple of days to update Simple Calendar to be compatible with PHP 7.2.

    Please let me know if you have any other questions or problems with the plugin.

    Regards,

    Zach

    Plugin Author Zach Wills

    (@oxymoron)

    Hey @wetapplemedia

    We just released version 3.1.12 which includes the fix for PHP 7.2. Let me know if you continue to run into issues.

    G P

    (@wetapplemedia)

    That fixed it. Thank you!

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Simple Calendar PHP 7.2 Incompatibility Error’ is closed to new replies.